Summary: Secure Sockets Layer communications libs & utils
Name: openssl
Version: 0.9.6a
Release: 1
Group: Security/Encryption
Copyright: BSD Style Open Source
URL: http://www.openssl.org/
Packager: Hao Li <hli@wag.caltech.edu>
Source: http://www.openssl.org/source/openssl-%{version}.tar.gz
# For backward compatibility with packages linked with openssl <= 0.9.6
Provides: libcrypto.so.0, libssl.so.0
BuildRoot: /var/tmp/%{name}-root

%description
A C library that provides various crytographic algorithms and protocols,
including DES, RC4, RSA, and SSL. Includes shared libraries and utils.


%package devel
Summary: Secure Sockets Layer communications static libs & headers.
Group: Development/Libraires
Requires: openssl = %{version}

%description devel
A C library that provides various crytographic algorithms and protocols,
including DES, RC4, RSA, and SSL. Includes static libraries and headers.


%prep
%setup -q
perl util/perlpath.pl /usr/bin


%build
./Configure --prefix=/usr --openssldir=/etc/ssl linux-elf shared
make MAKE="make -j2"
make test


%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL_PREFIX=$RPM_BUILD_ROOT MANDIR=/usr/man

# Fix .so permissions
chmod 755 $RPM_BUILD_ROOT/usr/lib/lib{crypto,ssl}.so.*

# Rename manpages
find $RPM_BUILD_ROOT/usr/man -type f -exec mv {} {}ssl \;

# Install RSAref stuff
install -m644 rsaref/rsaref.h $RPM_BUILD_ROOT/usr/include/openssl
install -m644 libRSAglue.a $RPM_BUILD_ROOT/usr/lib


%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc CHANGES* FAQ INSTALL* LICENSE NEWS README*
%doc doc/*.txt
/etc/ssl
/usr/bin/*
/usr/lib/*.so.*
/usr/man/man[157]/*

%files devel
%defattr(-,root,root)
/usr/include/*
/usr/lib/*.a
/usr/lib/*.so
/usr/man/man3/*
 

%clean
rm -rf $RPM_BUILD_ROOT

